/*
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * Contributor: Chris Sears
 *
 * Action - perform a JavaScript action on a text selection
 *
 * TODO:
 *   getSelection - M15?
 *   localization
 *   preferences
 *   custom scripted action
 *   appending actions (just like bookmarks)
 *   Internet Movie DataBase
 */


////////////// GLOBALS /////////////////////

var gWinAtts    = "width=640,height=400,screenX=200,screenY=150,scrollbars=yes";

////////////// GLOBALS /////////////////////

function actionGoTo() {
    var ds = window._content.document.getSelection();
    parent.appCore.loadUrl(ds);
}

function actionEMailTo() {
    var ds = window._content.document.getSelection();
    parent.appCore.loadUrl("mailto:" + ds);
}

function actionGetMap() {
    var ds = window._content.document.getSelection();
// this needs to parse the address into fields
//  window.open(
//      "http://www.mapsonus.com/bin/maps-map/" +
//          "usr=~new/formName=mapsetaddr" +
//  window.open(
//        "http://maps.yahoo.com/py/maps.py?Pyt=Tmap&addr="
//            + escape(line1) + "&csz="
//            + escape(line2) + "&Get%A0Map=Get+Map", "");
}

function actionFindPrevious() {
    var ds = window._content.document.getSelection();
}

function actionFindNext() {
    var ds = window._content.document.getSelection();
}

function actionWebSearch() {
    var ds = window._content.document.getSelection();
    window.open("http://www.google.com/search?q=" + escape(ds), "");
}

function actionDictionarySearch() {
    var ds  = window._content.document.getSelection();
    var url = "http://www.wordsmyth.net/cgi-bin/simplesearch.cgi?matchent=" + escape(ds) + "&matchtype=exact&matchid=-1&retall=1";
    window.open(url, "define", gWinAtts);
}

function actionCustom() {
}

function actionTranslate(translate) {
    var ds  = window._content.document.getSelection();
    var url = "http://babel.altavista.com/translate.dyn?urltext=" +escape(ds) + "&lp=" + translate + "&doit=done";
    window.open(url, "translate", gWinAtts);
}

function actionEnglishFrench() {
    actionTranslate("en_fr");
}

function actionEnglishGerman() {
    actionTranslate("en_de");
}

function actionEnglishItalian() {
    actionTranslate("en_it");
}

function actionEnglishPortuguese() {
    actionTranslate("en_pt");
}

function actionEnglishSpanish() {
    actionTranslate("en_es");
}

function actionFrenchEnglish() {
    actionTranslate("fr_en");
}

function actionGermanEnglish() {
    actionTranslate("de_en");
}

function actionItalianEnglish() {
    actionTranslate("it_en");
}

function actionPortugueseEnglish() {
    actionTranslate("pt_en");
}

function actionSpanishEnglish() {
    actionTranslate("es_en");
}
