/**********************************************************

The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

The Original Code is Aphrodite Development Team code.

The Initial Developer of the Original Code is Aphrodite
Development Team.  Portions created by Aphrodite
Development Team are Copyright (C) 1999-2000
Aphrodite Development Team.
All Rights Reserved.

Contributor(s):
                       Jeff Campbell
                       Julia Kleyman 
                       David Boswell
                       Waldo
                       Ben Goodger 
                       Brian Mathis 
                       Chris Nelson
                       Dan Ridley 
                       Isriya Paireepairit
                       Jason LoBrutto 
                       Lemming 
                       Lorenzo De Tomasi 
                       Mark Anderson 
                       Matthew Thomas 
                       Neil Deakin 
                       Petrus Lundqvist 
                       Robert O'Connor 
                       Tekhir 
                       Yusuf Motara 
                       Pete Collins

**********************************************************/

/****************
*
*
* general UI functions
*
*
*
****************/


function collapseBars( ID ){

var TB          = document.getElementById( ID );
var check       = eval( TB.getAttribute("hidden") ) ;
// bad naming problem? why isn't the grippy "ID + '-grippy'" ??
var grippyid  = (ID.indexOf('personal') == 0) ?
                    'personalbar-grippy' :
                    'toolbar-grippy';
var thegrippy = document.getElementById( grippyid );
if( !check ){

// anders: set tooltip text
/* ****** DOSEN'T WORK... 
          any idears? (eval dosen't work?!?)
    the DTD is OK, did a check
var text = '"' + "&" + ID + "-grippy-hidden.tooltip;" + '"';
*********************************************/
var text = 'Expand ' + (ID == 'toolbar' ?
                          'Navigation Toolbar' :
                          'Personal Toolbar');

thegrippy.setAttribute("tooltiptext", text);
dump("\n\n**** collapsing "+ID+" ****\n\n");

TB.setAttribute("hidden", true);
return; 

}

if( check ){

dump("\n\n**** expanding "+ID+" ****\n\n");

//anders: set tooltiptext to null
thegrippy.setAttribute("tooltiptext", "");
TB.setAttribute("hidden", false);
return; 

}

}


////////////////// Function Bars //////////////////////////////
// function bars open/close functions
//////////////////////////////////////////////////////////////


function openTray( ID, FB ){

var Element             = document.getElementById( ID );
var fb                  = document.getElementById( FB );
var check               = eval( Element.getAttribute("hidden") ) ;


if(!check){

dump("**** I am closing functionbar ****\n\n")

fb.setAttribute( "type", "closed" );
Element.setAttribute("hidden", true);

return;

}

if(check){

dump("**** I am opening functionbar ****\n\n")

Element             = document.getElementById( ID );

fb.setAttribute( "type", "" );
Element.setAttribute("hidden", false);

return;

}

}

////////////////// Function Bars //////////////////////////////
                  

////////////////// Toggle Toolbars //////////////////////////////

function goToggleToolbar( id, elementID ) {

        dump( "toggling toolbar "+id+"\n\n");

        var toolbar = document.getElementById( id );
        var element = document.getElementById( elementID );

        if ( toolbar ) {

                var attribValue = eval( toolbar.getAttribute("hidden") ) ;

                if(attribValue!=true){attribValue=false;}

                if ( attribValue != false ) {

                        toolbar.setAttribute("hidden", false );

                        if ( element )
                        element.setAttribute("checked","true")
                }

                else {
                        toolbar.setAttribute("hidden", true );

                        if ( element )
                        element.setAttribute("checked","false")
                }

                document.persist(id, 'hidden');
                document.persist(elementID, 'checked');
        }
}    

////////////////// Toggle Toolbars //////////////////////////////


////////////////// Source By Dom //////////////////////////////

function sourceByDom( ID, state ){


        var pic         = document.getElementById( ID );

        switch( state ){

        case "-hover":
        pic.setAttribute("src", bookmarkHover.src );
        break;

        case "-active":
        pic.setAttribute("src", bookmarkActive.src );
        break;


        default:
        pic.setAttribute("src", bookmarkNormal.src );
        

        }

}

////////////////// Source By Dom //////////////////////////////


////////////////// VIEW THROBBER //////////////////////////////

function viewButton(BCID, THID){

dump('calling viewButton\n\n');
var bc          = document.getElementById(BCID);
var button      = document.getElementById(THID);
var check       = bc.getAttribute('checked');


if(check){
button.removeAttribute('hidden');
bc.setAttribute('checked', true);
}

else{
button.setAttribute('hidden', true);
bc.setAttribute('checked', false);
}

document.persist(BCID, 'checked');

}

////////////////// VIEW THROBBER //////////////////////////////


/*********** Toggle checkbox/radio menuitem state **************/
// it seems that this is needed to get <ENTER> to work..
function menuitemToggleChecked(item) {
  if (item.getAttribute('type') == 'radio' &&
      item.getAttribute('checked') == 'true')
    return; // for radioitems, one MUST be checked.. 
  item.setAttribute('checked', !item.getAttribute('checked'));
}

/**
 * focusUrlBar
 * This is used by the key key_focus_urlBar (F6)
 * and brings focus to the address bar
 *   -anders, 01/11/2000
 */
function focusUrlBar() {
  var ub = document.getElementById("urlbar");
  ub.focus();
  ub.select();
}
